PHPODP browse参数 跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110273 漏洞类型 跨站脚本
发布时间 2006-05-15 更新时间 2006-05-16
CVE编号 CVE-2006-2396 CNNVD-ID CNNVD-200605-286
漏洞平台 PHP CVSS评分 5.8
|漏洞来源
https://www.exploit-db.com/exploits/27881
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200605-286
|漏洞详情
phpODP1.5h存在跨站脚本攻击(XSS)漏洞,远程攻击者可以通过browse参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/17976/info

phpODP is prone to a cross-site scripting vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied input. 

An attacker may leverage this issue to have arbitrary script code executed in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.


phpODP 1.5h is reported to be vulnerable. Other versions may be affected as well.

http://www.example.com/[path]/odp.php?browse=[code]

http://www.example.com/[path]/odp.php?browse="><script>alert("lol");</script>
|参考资料

来源:BID
名称:17976
链接:http://www.securityfocus.com/bid/17976
来源:VUPEN
名称:ADV-2006-1801
链接:http://www.frsirt.com/english/advisories/2006/1801
来源:SECUNIA
名称:20111
链接:http://secunia.com/advisories/20111
来源:MISC
链接:http://kiki91.altervista.org/exploit/open.txt
来源:XF
名称:phpodp-odp-browse-xss(26446)
链接:http://xforce.iss.net/xforce/xfdb/26446
来源:OSVDB
名称:25496
链接:http://www.osvdb.org/25496